Jump to content

[Help] Mangos One & SD2 - SD2 error


Recommended Posts

Hi,

I think I need some help.

I want to get a Mangos One Core with SD2 running on my Debian 6 (x64) Root.

I did the following:

git clone [url]https://github.com/mangos/one.git[/url] mangoscore1
cd mangoscore1/src/bindings
git clone git://github.com/scriptdev2/scriptdev2.git ScriptDev2
cd ../../
git am src/bindings/ScriptDev2/patches/MaNGOS-*-ScriptDev2.patch
git am src/bindings/ScriptDev2/patches/custom/ScriptDev2_*_to_MaNGOS_one.patch

The ScriptDev2 patch works (apperently) but the Compatibilitypatch failes with this output:

Applying: ScriptDev2 - One Compatibility patch
error: include/precompiled.h: does not exist in index
error: scripts/eastern_kingdoms/shadowfang_keep/shadowfang_keep.cpp: does not exist in index
error: scripts/kalimdor/azuremyst_isle.cpp: does not exist in index
error: scripts/kalimdor/onyxias_lair/boss_onyxia.cpp: does not exist in index
error: scripts/northrend/dragonblight.cpp: does not exist in index
error: scripts/outland/auchindoun/auchenai_crypts/boss_exarch_maladaar.cpp: does not exist in index
error: scripts/world/item_scripts.cpp: does not exist in index
error: system/ScriptLoader.cpp: does not exist in index
Patch failed at 0001 ScriptDev2 - One Compatibility patch
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".

Where is my fault?

Thanks a lot for your help

Link to comment
Share on other sites

Ok. I want so solve it, so I did the following.

I downloaded the database and found what I hoped to find. The TBC Database is for the MangosOne revision 1153 and the SD2 revision 2037

I checked out these two revisions but I got a similar error if I try to patch the source.

Applying: ScriptDev2 - One Compatibility patch
error: include/precompiled.h: does not exist in index
error: scripts/eastern_kingdoms/shadowfang_keep/shadowfang_keep.cpp: does not exist in index
error: scripts/kalimdor/azuremyst_isle.cpp: does not exist in index
error: scripts/kalimdor/onyxias_lair/boss_onyxia.cpp: does not exist in index
error: scripts/northrend/dragonblight.cpp: does not exist in index
error: scripts/outland/auchindoun/auchenai_crypts/boss_exarch_maladaar.cpp: does not exist in index
error: scripts/world/item_scripts.cpp: does not exist in index
error: system/ScriptLoader.cpp: does not exist in index
Patch failed at 0001 ScriptDev2 - One Compatibility patch
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".

Could someone please tell me what to do, or tell me which revisions are compatible to each other?

Thanks a lot.

Link to comment
Share on other sites

 Share

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. Privacy Policy Terms of Use